import request from '@/config/axios'

export const getPage = async (params: PageParam) => {
  return await request.get({ url: '/model/matlab/model/page', params })
}

export const get = async (id: number) => {
  return await request.get({ url: '/model/matlab/model/' + id })
}

export const create = async (data) => {
  return await request.post({ url: '/model/matlab/model', data: data })
}

export const update = async (params) => {
  return await request.put({ url: '/model/matlab/model', data: params })
}

export const deleteModel = async (id: number) => {
  return await request.delete({ url: '/model/matlab/model?id=' + id })
}

export const list = (params) => {
  return request.get({ url: '/model/matlab/model/list',  params})
}

export const test = (data) => {
  return request.post({ url: '/model/matlab/model/test',  data})
}
